org.apache.ode.jacob.vpu

## Class JacobMessages

- java.lang.Object
- - java.util.ResourceBundle
  - - org.apache.ode.utils.msg.MessageBundle
    - - org.apache.ode.jacob.vpu.JacobMessages

-     public class JacobMessages
      extends MessageBundle

  Messages for the Jacob VPU.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.ResourceBundle

      `java.util.ResourceBundle.Control`

  - ### Field Summary

    - ### Fields inherited from class java.util.ResourceBundle

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JacobMessages()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `msgClientMethodException(java.lang.String methodName, java.lang.String className)` Error indicating that client-code (i.e.
    `java.lang.String` | `msgContDeHydrationErr(java.lang.String channel, java.lang.String name)`
    `java.lang.String` | `msgContHydrationErr(java.lang.String channel, java.lang.String mlClassName)` Error indicating that a re-hydration of a saved _continuation object could not be completed.
    `java.lang.String` | `msgMethodNotAccessible(java.lang.String methodName, java.lang.String className)` Internal error indicating that a required client method was not accessible due to security protections errors.

    - ### Methods inherited from class org.apache.ode.utils.msg.MessageBundle

      `format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

    - ### Methods inherited from class java.util.ResourceBundle

      `clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, handleKeySet, keySet, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JacobMessages

          public JacobMessages()

  - ### Method Detail

    - #### msgClientMethodException

          public java.lang.String msgClientMethodException(java.lang.String methodName,
                                                           java.lang.String className)

      Error indicating that client-code (i.e. not the VPU kernel) threw an unexpected exception.
      Parameters:
        `methodName` - name of offending method
        `className` - name of offending class Method "{0}" in class "{1}" threw an unexpected exception.

    - #### msgContDeHydrationErr

          public java.lang.String msgContDeHydrationErr(java.lang.String channel,
                                                        java.lang.String name)

    - #### msgContHydrationErr

          public java.lang.String msgContHydrationErr(java.lang.String channel,
                                                      java.lang.String mlClassName)

      Error indicating that a re-hydration of a saved _continuation object could not be completed.
      Parameters:
        `channel` - channel with the dangling _continuation
        `mlClassName` - name of de-hydrated `ChannelListener` object

    - #### msgMethodNotAccessible

          public java.lang.String msgMethodNotAccessible(java.lang.String methodName,
                                                         java.lang.String className)

      Internal error indicating that a required client method was not accessible due to security protections errors. This may be caused by a change to the client class definitions. Method "{0}" in class "{1}" is not accessible.